nxt.http.callers

## Class ProcessVoucherCall

- java.lang.Object
- - nxt.http.APICall.Builder<ProcessVoucherCall>
  - - nxt.http.callers.ProcessVoucherCall

-     public class ProcessVoucherCall
      extends APICall.Builder<ProcessVoucherCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessVoucherCall` | `broadcast(boolean broadcast)`
    `static ProcessVoucherCall` | `create()`
    `ProcessVoucherCall` | `requireBlock(java.lang.String requireBlock)`
    `ProcessVoucherCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `ProcessVoucherCall` | `validate(boolean validate)`
    `ProcessVoucherCall` | `voucher(byte[] b)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ProcessVoucherCall create()

    - #### requireLastBlock

          public ProcessVoucherCall requireLastBlock(java.lang.String requireLastBlock)

    - #### broadcast

          public ProcessVoucherCall broadcast(boolean broadcast)

    - #### requireBlock

          public ProcessVoucherCall requireBlock(java.lang.String requireBlock)

    - #### validate

          public ProcessVoucherCall validate(boolean validate)

    - #### voucher

          public ProcessVoucherCall voucher(byte[] b)